"use strict";
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var styled_exports = {};
__export(styled_exports, {
  Bar: () => Bar,
  BarIndicator: () => BarIndicator,
  Container: () => Container,
  StyledTruncatedTooltipText: () => StyledTruncatedTooltipText
});
module.exports = __toCommonJS(styled_exports);
var React = __toESM(require("react"));
var import_ds_system = require("@elliemae/ds-system");
var import_ds_truncated_tooltip_text = require("@elliemae/ds-truncated-tooltip-text");
var import_constants = require("./constants/index.js");
const IndeterminateAnimation = (color) => import_ds_system.kfrm`
  0% {
    transform: scaleX(0.015);
    transform-origin: 0% 0%;
    background-image: linear-gradient(to right, rgba(255,255,255,0.8) 10%, ${color});
  }
  25% {
    transform: scaleX(0.4);
  }
  50% {
    transform: scaleX(0.015);
    transform-origin: 100% 0%;
    background-image: linear-gradient(to right, rgba(255,255,255,0.8) 10%, ${color});
  }
  50.1% {
    transform: scaleX(0.015);
    transform-origin: 100% 0%;
    background-image: linear-gradient(to left, rgba(255,255,255,0.8) 10%, ${color});
  }
  75% {
    transform: scaleX(0.4);
  }
  100% {
    transform: scaleX(0.015);
    transform-origin: 0% 0%;
    background-image: linear-gradient(to left, rgba(255,255,255,0.8) 10%, ${color});
  }
`;
const ProcessingSuccess = import_ds_system.kfrm`
  0%, 30% { transform: translateX(-50%); width: 50% }
  15%     { transform: translateX(150%); width: 50% }
  0%, 60% { transform: translateX(-50%); width: 50% }
  45%     { transform: translateX(150%); width: 50% }
  0%, 90% { transform: translateX(-50%); width: 50% }
  75%     { transform: translateX(150%); width: 50% }
  100%    { transform: translateX(0%); }
`;
const ProcessingSuccessEnd = (color) => import_ds_system.kfrm`
  0%      { transform: translateX(-50%); width: 50% }
  45%     { transform: translateX(150%); width: 50% }
  100%    { transform: translateX(0%); background-color: ${color}; }
`;
const ProcessingFail = import_ds_system.kfrm`
  0%, 30% { transform: translateX(-50%); width: 50% }
  15%     { transform: translateX(150%); width: 50% }
  0%, 60% { transform: translateX(-50%); width: 50% }
  45%     { transform: translateX(150%); width: 50% }
  0%, 90% { transform: translateX(-50%); width: 50% }
  75%     { transform: translateX(150%); width: 50%; }
  100%    { transform: translateX(0%); }
`;
const ProcessingFailEnd = import_ds_system.kfrm`
  0%      { transform: translateX(-50%); width: 50% }
  45%     { transform: translateX(150%); width: 50% }
  100%    { transform: translateX(0%); background-color: #e34256; }
`;
const Container = (0, import_ds_system.styled)("div", {
  name: import_constants.DSIndeterminateProgressIndicatorName,
  slot: import_constants.DSIndeterminateProgressIndicatorSlots.ROOT
})`
  width: 100%;
  padding: ${({ theme, lineOnly }) => lineOnly ? 0 : `${theme.space.xxs} ${theme.space.xs}`};
`;
const StyledTruncatedTooltipText = (0, import_ds_system.styled)(import_ds_truncated_tooltip_text.DSTruncatedTooltipText, {
  name: import_constants.DSIndeterminateProgressIndicatorName,
  slot: import_constants.DSIndeterminateProgressIndicatorSlots.LABEL
})``;
const Bar = (0, import_ds_system.styled)("div", {
  name: import_constants.DSIndeterminateProgressIndicatorName,
  slot: import_constants.DSIndeterminateProgressIndicatorSlots.BAR
})`
  background-color: ${({ theme }) => theme.colors.neutral[100]};
  overflow: hidden;
`;
const BarIndicator = (0, import_ds_system.styled)("div", {
  name: import_constants.DSIndeterminateProgressIndicatorName,
  slot: import_constants.DSIndeterminateProgressIndicatorSlots.BAR_INDICATOR
})`
  height: ${({ theme }) => theme.space.xxxs};
  width: ${({ complete, failed, animated, processing, percent }) => `${!complete && !failed && !animated && processing ? percent : 100}%`};
  ${({ theme, complete, failed, processing, animated, processingComplete, processingFail }) => {
  if (!complete && !failed && !processing && !processingComplete && !processingFail)
    return import_ds_system.css`
        background-color: ${theme.colors.neutral[500]};
      `;
  else if (complete && processing)
    return import_ds_system.css`
        width: 100%;
        background-color: ${theme.colors.brand[500]};
        animation: ${ProcessingSuccessEnd(theme.colors.success[900])} 1s ease-in-out;
        animation-fill-mode: forwards;
      `;
  else if (complete && !processingComplete && !processing)
    return import_ds_system.css`
        background-color: ${theme.colors.success[900]};
      `;
  else if (failed && !processingFail && !processing)
    return import_ds_system.css`
        background-color: #e34256;
      `;
  else if (processing) {
    if (animated) {
      return import_ds_system.css`
          width: 100%;
          animation: ${IndeterminateAnimation(theme.colors.brand[500])} 2s cubic-bezier(0.645, 0.045, 0.355, 1) infinite;
          background-color: ${theme.colors.brand[500]};
        `;
    }
    return import_ds_system.css`
        background-color: ${theme.colors.brand[500]};
      `;
  } else if (processingComplete && !complete) {
    return import_ds_system.css`
        width: 50%;
        animation: ${ProcessingSuccess} 4s infinite;
        animation-fill-mode: forwards;
        background-color: ${theme.colors.brand[500]};
      `;
  } else if (processingComplete && complete)
    return import_ds_system.css`
        width: 100%;
        background-color: ${theme.colors.brand[500]};
        animation: ${ProcessingSuccessEnd(theme.colors.success[900])} 1s ease-in-out;
        animation-fill-mode: forwards;
      `;
  else if (processingFail && !failed)
    return import_ds_system.css`
        width: 50%;
        animation: ${ProcessingFail} 4s infinite;
        animation-fill-mode: forwards;
        background-color: ${theme.colors.brand[500]};
      `;
  else if (processingFail && failed)
    return import_ds_system.css`
        width: 100%;
        background-color: ${theme.colors.brand[500]};
        animation: ${ProcessingFailEnd} 1s ease-in-out;
        animation-fill-mode: forwards;
      `;
}};
`;
//# sourceMappingURL=styled.js.map
