import * as React from "react";
import { jsx, jsxs } from "react/jsx-runtime";
import { useCallback } from "react";
import { describe, useGetGlobalAttributes, useGetXstyledProps } from "@elliemae/ds-props-helpers";
import {
  DSIndeterminateProgressIndicatorPropTypes
} from "./react-desc-prop-types.js";
import { useIndeterminateProgressIndicator } from "./config/useIndeterminateProgressIndicator.js";
import { DSIndeterminateProgressIndicatorName } from "./constants/index.js";
import { TooltipTextProvider } from "@elliemae/ds-truncated-tooltip-text";
import { Bar, BarIndicator, Container, StyledTruncatedTooltipText } from "./styled.js";
const DSIndeterminateProgressIndicator = (props) => {
  const { propsWithDefault, label } = useIndeterminateProgressIndicator(props);
  const {
    containerProps,
    complete,
    failed,
    processing,
    processingComplete,
    processingFail,
    animated,
    percent,
    lineOnly
  } = propsWithDefault;
  const globalAttributes = useGetGlobalAttributes(propsWithDefault);
  const xstyledAttributes = useGetXstyledProps(propsWithDefault);
  const getOwnerProps = useCallback(() => propsWithDefault, [propsWithDefault]);
  const getOwnerPropsArguments = useCallback(() => ({}), []);
  return /* @__PURE__ */ jsxs(
    Container,
    {
      "aria-busy": processing,
      "aria-label": label,
      "aria-live": "polite",
      role: "alert",
      lineOnly,
      getOwnerProps,
      getOwnerPropsArguments,
      ...globalAttributes,
      ...xstyledAttributes,
      ...containerProps,
      children: [
        !lineOnly ? /* @__PURE__ */ jsx(TooltipTextProvider, { children: /* @__PURE__ */ jsx(
          StyledTruncatedTooltipText,
          {
            value: label,
            getOwnerProps,
            getOwnerPropsArguments
          }
        ) }) : null,
        /* @__PURE__ */ jsx(Bar, { getOwnerProps, getOwnerPropsArguments, children: /* @__PURE__ */ jsx(
          BarIndicator,
          {
            complete,
            failed,
            processing,
            animated,
            processingComplete,
            processingFail,
            percent,
            getOwnerProps,
            getOwnerPropsArguments
          }
        ) })
      ]
    }
  );
};
DSIndeterminateProgressIndicator.displayName = DSIndeterminateProgressIndicatorName;
const IndeterminateProgressIndicatorWithSchema = describe(DSIndeterminateProgressIndicator);
IndeterminateProgressIndicatorWithSchema.propTypes = DSIndeterminateProgressIndicatorPropTypes;
var DSIndeterminateProgressIndicator_default = DSIndeterminateProgressIndicator;
export {
  DSIndeterminateProgressIndicator,
  IndeterminateProgressIndicatorWithSchema,
  DSIndeterminateProgressIndicator_default as default
};
//# sourceMappingURL=DSIndeterminateProgressIndicator.js.map
