import * as React from "react";
import React2, { useMemo } from "react";
import { useMemoMergePropsWithDefault } from "@elliemae/ds-props-helpers";
import {
  DSIndeterminateProgressIndicatorPropTypes,
  defaultProps
} from "../react-desc-prop-types.js";
import { useValidateProps } from "./useValidateProps.js";
const useIndeterminateProgressIndicator = (propsFromUser) => {
  const propsWithDefault = useMemoMergePropsWithDefault(
    propsFromUser,
    defaultProps
  );
  useValidateProps(propsWithDefault, DSIndeterminateProgressIndicatorPropTypes);
  const {
    title,
    complete,
    failed,
    processing,
    processingComplete,
    processingCompleteTitle,
    processingFail,
    processingFailTitle
  } = propsWithDefault;
  const label = useMemo(() => {
    if ((processingComplete || processingFail || processing) && (complete || failed)) {
      return complete ? processingCompleteTitle : processingFailTitle;
    }
    return title;
  }, [
    processingComplete,
    processingFail,
    processing,
    complete,
    failed,
    title,
    processingCompleteTitle,
    processingFailTitle
  ]);
  return React2.useMemo(
    () => ({
      propsWithDefault,
      label
    }),
    [propsWithDefault, label]
  );
};
export {
  useIndeterminateProgressIndicator
};
//# sourceMappingURL=useIndeterminateProgressIndicator.js.map
