import * as React from "react";
import { PropTypes, globalAttributesPropTypes, xstyledPropTypes } from "@elliemae/ds-props-helpers";
const defaultProps = {
  containerProps: {},
  title: "",
  complete: false,
  failed: false,
  processing: false,
  processingComplete: false,
  processingCompleteTitle: "Complete",
  processingFail: false,
  processingFailTitle: "Fail",
  animated: true,
  percent: 50,
  lineOnly: false
};
const DSIndeterminateProgressIndicatorPropTypes = {
  ...globalAttributesPropTypes,
  ...xstyledPropTypes,
  containerProps: PropTypes.object.description("Set of Properties attached to the main container"),
  title: PropTypes.string.description("component s label"),
  complete: PropTypes.bool.description("Sets the process state to completed").defaultValue(false),
  failed: PropTypes.bool.description("Sets the process state to failed").defaultValue(false),
  processing: PropTypes.bool.description("Sets the process state to processing").defaultValue(false),
  processingComplete: PropTypes.bool.description("Sets the process state to processing and then completed").defaultValue(false),
  processingCompleteTitle: PropTypes.string.description("label to display when the process is completed"),
  processingFail: PropTypes.bool.description("Sets the process state to processing and then failed").defaultValue(false),
  processingFailTitle: PropTypes.string.description("label to display when the process has failed"),
  animated: PropTypes.bool.description("animate or not").defaultValue(true),
  percent: PropTypes.number.description("completion percentage").defaultValue(50),
  lineOnly: PropTypes.bool.description("hide the label from rendering")
};
export {
  DSIndeterminateProgressIndicatorPropTypes,
  defaultProps
};
//# sourceMappingURL=react-desc-prop-types.js.map
